Issues
Authorization
bearerAuth In: header
Query Parameters
Repository owner query value.
1 <= lengthRepository name query value.
1 <= lengthIssue state filter forwarded to git-gateway (open, closed, all).
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Base64 cursor encoding page and per_page; overrides page/per_page when valid.
Response Body
application/json
curl -X GET "https://example.com/v1/issues?owner=aa&repo=aa&state=abc123&page=2&per_page=2&cursor=abc123""abc123"Authorization
bearerAuth In: header
Query Parameters
Issue state filter forwarded to git-gateway.
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Base64 cursor encoding page and per_page; overrides page/per_page when valid.
Response Body
application/json
curl -X GET "https://example.com/v1/issues/mine?state=abc123&page=2&per_page=2&cursor=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/issues" \ -H "Content-Type: application/json" \ -d '{ "assignees": [ "abc123" ], "body": "abc123", "labels": [ "abc123" ], "title": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/issues/comments/2""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/issues/2""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/issues/2" \ -H "Content-Type: application/json" \ -d '{ "assignees": [ "abc123" ], "body": "abc123", "state": "abc123", "title": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueQuery Parameters
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Base64 cursor encoding page and per_page; overrides page/per_page when valid.
Response Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/issues/2/comments?page=2&per_page=2&cursor=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/issues/2/comments" \ -H "Content-Type: application/json" \ -d '{ "body": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/repositories/aa/aa/issues/2/labels" \ -H "Content-Type: application/json" \ -d '{ "labels": [ "abc123" ] }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthIssue or pull request number.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/issues/2/reactions" \ -H "Content-Type: application/json" \ -d '{ "commentId": 1, "content": "aa", "remove": false }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthPositive issue, pull, review, or comment number.
int641 <= valueQuery Parameters
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Base64 cursor encoding page and per_page; overrides page/per_page when valid.
Response Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/issues/2/timeline?page=2&per_page=2&cursor=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/labels""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRequest Body
application/json
Label request body.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/labels" \ -H "Content-Type: application/json" \ -d '{ "color": "aa", "description": "abc123", "name": "aa" }'"abc123"